<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: DataStructure/HashTable/HashItem.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_61f8caed08096df072032ac640f6feca.html">DataStructure</a></li><li class="navelem"><a class="el" href="dir_8396f48a7548cbb5178e30a4e8035af6.html">HashTable</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">HashItem.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="HashItem_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef _HASH_ITEM</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define _HASH_ITEM</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno"><a class="line" href="namespaceDataStructure.html">    4</a></span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceDataStructure.html">DataStructure</a></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;{</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T&gt;</div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="structDataStructure_1_1HashItem.html">    9</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structDataStructure_1_1HashItem.html">HashItem</a></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;{</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="structDataStructure_1_1HashItem.html#a44783ab3efc903d6a48dbeeb421dade9">   11</a></span>&#160;    <a class="code" href="structDataStructure_1_1HashItem.html#a44783ab3efc903d6a48dbeeb421dade9">HashItem</a>()</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    {</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    }</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="structDataStructure_1_1HashItem.html#a30e55fa480dadb3275d69926d8a9a70c">   15</a></span>&#160;    <a class="code" href="structDataStructure_1_1HashItem.html#a30e55fa480dadb3275d69926d8a9a70c">HashItem</a>( T newData, <span class="keywordtype">int</span> newKey )</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    {</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <a class="code" href="structDataStructure_1_1HashItem.html#ad7b14cbb683c3b5ad91311d5404bd081">data</a> = newData;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <a class="code" href="structDataStructure_1_1HashItem.html#a69a74c3ab6b484f6fefdd7579b386630">key</a> = newKey;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    }</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="structDataStructure_1_1HashItem.html#ad7b14cbb683c3b5ad91311d5404bd081">   21</a></span>&#160;    T <a class="code" href="structDataStructure_1_1HashItem.html#ad7b14cbb683c3b5ad91311d5404bd081">data</a>;</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="structDataStructure_1_1HashItem.html#a69a74c3ab6b484f6fefdd7579b386630">   22</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structDataStructure_1_1HashItem.html#a69a74c3ab6b484f6fefdd7579b386630">key</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;};</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;} <span class="comment">// End namespace</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#endif</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="astructDataStructure_1_1HashItem_html_a69a74c3ab6b484f6fefdd7579b386630"><div class="ttname"><a href="structDataStructure_1_1HashItem.html#a69a74c3ab6b484f6fefdd7579b386630">DataStructure::HashItem::key</a></div><div class="ttdeci">int key</div><div class="ttdef"><b>Definition:</b> HashItem.h:22</div></div>
<div class="ttc" id="astructDataStructure_1_1HashItem_html_a44783ab3efc903d6a48dbeeb421dade9"><div class="ttname"><a href="structDataStructure_1_1HashItem.html#a44783ab3efc903d6a48dbeeb421dade9">DataStructure::HashItem::HashItem</a></div><div class="ttdeci">HashItem()</div><div class="ttdef"><b>Definition:</b> HashItem.h:11</div></div>
<div class="ttc" id="astructDataStructure_1_1HashItem_html"><div class="ttname"><a href="structDataStructure_1_1HashItem.html">DataStructure::HashItem</a></div><div class="ttdoc">An item stored by a HashTable structure.</div><div class="ttdef"><b>Definition:</b> HashItem.h:9</div></div>
<div class="ttc" id="anamespaceDataStructure_html"><div class="ttname"><a href="namespaceDataStructure.html">DataStructure</a></div><div class="ttdef"><b>Definition:</b> HashItem.h:4</div></div>
<div class="ttc" id="astructDataStructure_1_1HashItem_html_ad7b14cbb683c3b5ad91311d5404bd081"><div class="ttname"><a href="structDataStructure_1_1HashItem.html#ad7b14cbb683c3b5ad91311d5404bd081">DataStructure::HashItem::data</a></div><div class="ttdeci">T data</div><div class="ttdef"><b>Definition:</b> HashItem.h:21</div></div>
<div class="ttc" id="astructDataStructure_1_1HashItem_html_a30e55fa480dadb3275d69926d8a9a70c"><div class="ttname"><a href="structDataStructure_1_1HashItem.html#a30e55fa480dadb3275d69926d8a9a70c">DataStructure::HashItem::HashItem</a></div><div class="ttdeci">HashItem(T newData, int newKey)</div><div class="ttdef"><b>Definition:</b> HashItem.h:15</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
